#include <stdio.h>

class Base
 {
   public:
      void b1 (int i)
       {
	 printf("main: Base::b1 ()\n");
       }
      
      void b2 ()
       {
	 printf("main: Base::b2 ()\n");
	 b1 (13);
       }
      void b3 ()
       {
	 printf("main: Base::b3 ()\n");
	 b1 (2);
       }
 };

void f () {}

int main()
 {
   Base a;

   f ();
   a.b1(4711);
   a.b2();
   a.b3();

   return 0;
 }


